# $Revision: 1.46 $, $Date: 2005/10/06 20:31:12 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
%bcond_without	initrd		# don't build initrd version
#
Summary:	Userspace support for the device-mapper
Summary(pl):	Wsparcie dla mapowania urzdze w przestrzeni uytkownika
Name:		device-mapper
Version:	1.01.05
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/dm/%{name}.%{version}.tgz
# Source0-md5:	074cf116cc2c7194f2d100bc5f743833
Patch0:		%{name}-stack.patch
# http://www.redhat.com/archives/dm-devel/2005-March/msg00022.html
Patch1:		%{name}-disable_dynamic_link.patch
Patch2:		%{name}-klibc.patch
URL:		http://sources.redhat.com/dm/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.10}
%{?with_selinux:Requires:	libselinux >= 1.10}
%{?with_initrd:BuildRequires:	klibc-static}
Conflicts:	dev < 2.9.0-8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The goal of this driver is to support volume management.
The driver enables the definition of new block devices composed of
ranges of sectors of existing devices. This can be used to define
disk partitions - or logical volumes. This light-weight kernel
component can support user-space tools for logical volume management.

%description -l pl
Celem tego sterownika jest obsuga zarzdzania wolumenami.
Sterownik wcza definiowanie nowych urzdze blokowych zoonych z
przedziaw sektorw na istniejcych urzdzeniach. Moe to by
wykorzystane do definiowania partycji na dysku lub logicznych
wolumenw. Ten lekki skadnik jdra moe wspiera dziaajce w
przestrzeni uytkownika narzdzia do zarzdzania logicznymi
wolumenami.

%package initrd
Summary:	Userspace support for the device-mapper - static dmsetup for initrd
Summary(pl):	Wsparcie dla mapowania urzdze w przestrzeni uytkownika - statyczne dmsetup dla initrd
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description initrd
Userspace support for the device-mapper - static dmsetup binary for
initrd.

%description initrd -l pl
Wsparcie dla mapowania urzdze w przestrzeni uytkownika - statyczna
wersja dmsetup dla initrd.

%package devel
Summary:	Header files and development documentation for %{name}
Summary(pl):	Pliki nagwkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for %{name}.

%description devel -l pl
Pliki nagwkowe i dokumentacja do %{name}.

%package static
Summary:	Static devmapper library
Summary(pl):	Statyczna biblioteka devmapper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static devmapper library.

%description static -l pl
Statyczna biblioteka devmapper.

%package initrd-devel
Summary:	Static devmapper library and header files for initrd applications
Summary(pl):	Statyczna biblioteka devmapper i jej pliki nagwkowe dla aplikacji initrd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	klibc

%description initrd-devel
Static devmapper library and its header files for initrd applications
linked with klibc.

%description initrd-devel -l pl
Statyczna, zlinkowana z klibc biblioteka devmapper oraz jej pliki
nagwkowe dla aplikacji uywanych w initrd.

%package scripts
Summary:	Additional scripts
Summary(pl):	Dodatkowe skrypty
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	util-linux

%description scripts
Additional scripts.

%description scripts -l pl
Dodatkowe skrypty.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub autoconf
%{__aclocal}
%{__autoconf}

%if %{with initrd}
%configure \
	--disable-selinux \
	--with-optimisation="%{rpmcflags}" \
	--with-user=%(id -u) \
	--with-group=%(id -g) \
	--with-interface=ioctl \
	--enable-static_link \
	--disable-dynamic_link \
	--enable-klibc \
	CC="klcc -static"
%{__make}

cp -a dmsetup/dmsetup.static initrd-dmsetup
cp -a lib/ioctl/libdevmapper.a initrd-libdevmapper.a
%{__make} clean
%endif

%configure \
	--%{?with_selinux:en}%{!?with_selinux:dis}able-selinux \
	--with-optimisation="%{rpmcflags}" \
	--with-user=%(id -u) \
	--with-group=%(id -g) \
	--with-interface=ioctl \
	--disable-klibc
%{__make}

ar cru libdevmapper.a lib/ioctl/*.o lib/*.o
ranlib libdevmapper.a

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_lib},%{_libdir}/%{name},/usr/{%{_lib},include}/klibc}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

SONAME=$(basename $(ls -1 $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*))
ln -sf /%{_lib}/${SONAME} $RPM_BUILD_ROOT%{_libdir}/libdevmapper.so
mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.* $RPM_BUILD_ROOT/%{_lib}
install scripts/* $RPM_BUILD_ROOT/%{_libdir}/%{name}

install libdevmapper.a $RPM_BUILD_ROOT%{_libdir}
%{?with_initrd:install initrd-dmsetup $RPM_BUILD_ROOT%{_sbindir}}
%{?with_initrd:install initrd-libdevmapper.a $RPM_BUILD_ROOT/usr/%{_lib}/klibc/libdevmapper.a}
%{?with_initrd:install include/libdevmapper.h $RPM_BUILD_ROOT/usr/include/klibc}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc INTRO INSTALL README scripts/*
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) /%{_lib}/lib*.so.*.*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdevmapper.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files scripts
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/initrd-dmsetup

%files initrd-devel
%defattr(644,root,root,755)
/usr/%{_lib}/klibc/libdevmapper.a
/usr/include/klibc/libdevmapper.h
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: device-mapper.spec,v $
Revision 1.46  2005/10/06 20:31:12  qboosh
- License is strictly GPL v2
  (some library components are on LGPL v2.1, but the rest enforces GPL v2)

Revision 1.45  2005/10/06 20:28:56  qboosh
- updated to 1.01.05
- updated for current klibc (BR: klibc-static, use "klcc -static" as CC)
  note: recent kernel-headers (2.6.12 or so) are needed for klibc to build dm

Revision 1.44  2005/08/11 19:44:55  wrobell
- fixed initrd bcond

Revision 1.43  2005/08/06 15:17:07  qboosh
- updated to 1.01.04

Revision 1.42  2005/08/02 20:07:01  qboosh
- wrapped, pl fix

Revision 1.41  2005/07/31 17:54:48  jajcus
- klibc used instead of uClibc for dmsetup-initrd compilation
- device-mapper-initrd-devel subpackage added

Revision 1.40  2005/07/31 15:12:40  jajcus
- Release: 2
- initrd subpackage (statically linked, using uClibc on ix86 and without selinux support) added
- without_selinux bcond fixed

Revision 1.39  2005/06/18 17:55:45  areq
- 1.01.03

Revision 1.38  2005/05/21 20:02:36  qboosh
- cosmetics

Revision 1.37  2005/05/21 19:08:43  speedy
- new package: -scripts

Revision 1.36  2005/05/21 18:18:12  speedy
- release 2
- make scripts %%doc (kill dep on perl-base, scripts are optional...
  not required by /sbin/dmsetup)

Revision 1.35  2005/05/21 15:18:15  qboosh
- updated to 1.01.02

Revision 1.34  2005/04/06 19:44:21  paszczus
- updated to 1.01.01

Revision 1.33  2005/01/15 21:38:50  qboosh
- updated to 1.0.21, added stack patch (remove weird "stack;" from code)

Revision 1.32  2004/11/19 21:23:18  glen
- added selinux bcond; rel 2; STBR

Revision 1.31  2004/11/17 20:46:05  pluto
- %%install fixed.

Revision 1.30  2004/07/03 20:21:51  arekm
- updated to 1.00.19; opt patch obsolete

Revision 1.29  2004/06/22 21:20:11  qboosh
- new libselinux is required at runtime

Revision 1.28  2004/06/20 17:01:44  arekm
- updated to 1.00.18

Revision 1.27  2004/05/06 17:14:59  qboosh
- fixed opt patch (allow passing our optflags, not only remove hardcoded -O2)

Revision 1.26  2004/05/06 14:01:01  qboosh
- kernel version is needed only for kernel part, which is not built anyway,
  so dropped _kernel_ver and co.
- strict internal deps, release 3

Revision 1.25  2004/04/26 14:31:22  baggins
- release 2
- conflicts with dev without /dev/mapper/control

Revision 1.24  2004/04/23 17:28:52  arekm
- updated to 1.00.17

Revision 1.23  2004/04/01 00:51:24  arekm
- added url

Revision 1.22  2004/04/01 00:40:04  arekm
- fix .so symlink

Revision 1.21  2004/04/01 00:08:03  arekm
- version 1.00.09

Revision 1.20  2004/03/17 12:11:15  andree
- lib -> %{_lib}
- added scripts/* to files

Revision 1.19  2004/03/05 14:17:13  arekm
- drop --with-kernel-dir (fixes build problems) - cieciwa + drop errno patch, sorry

Revision 1.18  2004/03/05 14:16:07  andree
- fix build (patch2)

Revision 1.17  2004/03/05 12:56:18  andree
- copy config.sub

Revision 1.16  2003/11/29 00:17:10  qboosh
- it uses _kernel_ headers during build

Revision 1.15  2003/11/28 21:55:17  qboosh
- added opt patch

Revision 1.14  2003/11/22 21:11:56  arekm
- updated to 1.00.07

Revision 1.13  2003/09/11 07:51:54  qboosh
- -static descriptions

Revision 1.12  2003/09/11 00:24:21  wiget
- make libdevmapper.a (needed to build static lvm used on initrd)

Revision 1.11  2003/09/10 21:48:50  arekm
- updated to 1.00.05

Revision 1.10  2003/08/20 23:44:04  arekm
- updated to 1.00.03

Revision 1.9  2003/08/18 08:08:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/07/18 22:25:22  arekm
- updated to 1.00.02

Revision 1.7  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.6  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:46:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/10 14:40:48  wiget
- fix building with not-running kernel

Revision 1.3  2003/04/21 01:13:52  qboosh
- pl description, BR: ac,am

Revision 1.2  2003/04/15 16:16:52  baggins
- should work now

Revision 1.1  2003/04/15 15:57:01  baggins
- initial revision
